Comunidad Macuarium: Desarrollo de un codo - Comunidad Macuarium

Ir a contenido

Página 1 de 1
  • No puedes empezar un nuevo tema
  • No puedes responder a este tema

Options
Desarrollo de un codo ¿como dibujar en un plano el desarrollo de un codo? Calificar el tema: -----

#1 Usuario offline   kuek_2000 

  • Usuario
  • Pip
  • Buscar Temas
  • Grupo: Usuarios
  • Mensajes: 5
  • Registrado: 30-January 08

Publicado 30 January 2008 - 08:35 PM

Hay un post de Marzo del 2007 donde se publicaron la formulas para el desarrollo plano de un cono truncado, lo cual me valio para mi trabajo, pero os pido ayuda para saber como se hace el desarrollo de un codo genérico.

Gracias por vuestra ayuda

#2 Usuario online   Jonno 

  • Jon Bombadil
  • PipPipPipPipPipPip
  • Buscar Temas
  • Grupo: Moderadores
  • Mensajes: 27176
  • Registrado: 26-May 01

Publicado 30 January 2008 - 09:32 PM

Si nos enseñas una imagen de eso que llamas "codo genérico" igual te podemos ayudar. Yo al menos no sé lo que es, pero si lo veo igual sé cómo se hace el desarrollo.
Jon
---
"Más sabe el diablo por Google que por diablo". korochi.com
"Bienaventurados los pesimistas, porque ellos hacen backups". Geekccionario
"No buscamos en Google. Es Google el que nos busca a nosotros". Tesis tuiteadas #40. Nicholas Carr

#3 Usuario offline   kuek_2000 

  • Usuario
  • Pip
  • Buscar Temas
  • Grupo: Usuarios
  • Mensajes: 5
  • Registrado: 30-January 08

Publicado 31 January 2008 - 06:38 PM

No se meter imagenes en este post ya que me pide una url. Cuando me refiero a un codo generérico, es un tubo de 90º sin unas medidas en concreto. Yo lo necesito para hacerlo de acero desde un chapa. Se que en los conductos de ventilación, estos codos los hacen por medio de varios tramos, luego los unen y forman el codo, pero tampoco se como se hace su desarrollo. Me valdrían cualquier solución para poder fabricar dicho codo. En cuanto a una imagen, yo encantado por publicarla pero me sale una ventana pidiendome la url, entonces estoy perdido.

Gracias a todos por vuestra atención y tiempo, a ver si se puede dar una solución a esto.

#4 Usuario offline   kuek_2000 

  • Usuario
  • Pip
  • Buscar Temas
  • Grupo: Usuarios
  • Mensajes: 5
  • Registrado: 30-January 08

Publicado 31 January 2008 - 06:46 PM

Un codo generico es un tubo en 90 grados sin unas medidas en concreto, es decir, un radio r, un diametro D,...se q en los conductos de ventilacion, este codo, lo hacen en varios tramos y luego lo unen, pero yo lo tebngo q hacer desde una chapa de acero y curvarlo para tener el codo, por eso necesito hacer el desarrollo plano, para meterlo en una chapa y cortar. En cuanto meter una imagen, yo encantado pero al darle a insertar una imagen me sale una ventana pidiendome una url, y estoy perdido, si me lo explicais yo encantado.

Gracias por vuestro tiempo y haber si me podeis hechar una mano.

#5 Usuario offline   neomac 

  • Usuario Activo
  • PipPipPip
  • Buscar Temas
  • Grupo: Usuarios Activos
  • Mensajes: 676
  • Registrado: 09-July 04

Publicado 31 January 2008 - 07:16 PM

kuek … tienes que poner primero la imagen en algun servidor y luego desde aquí enlazarla … si usas las búsquedas hay por ahi un manual para colgar imágenes …

Aunque mas o menos lo visualizo es difícil enterder lo que quieres … y el tema de la chapa a mi personalmente me despista mucho … cuelga la imagen y explícalo más en concreto …

Saludos,
;)
"Si es que votáis pa hacer daño!" [G. Wyoming]

G5 2,5GHz + OSX 10.4.10 + RAM 1 Gb + HDint 150Gb [OS + Programas] + HDint 150Gb [Trabajos en proceso] + Apple Cinema 30"
G4 1GHz DP + OS 10.4.10 + RAM 1.25 Gb + HD 80Gb + HD 200Gb + Apple Cinema 21"

#6 Usuario offline   kuek_2000 

  • Usuario
  • Pip
  • Buscar Temas
  • Grupo: Usuarios
  • Mensajes: 5
  • Registrado: 30-January 08

Publicado 02 February 2008 - 03:17 PM

Esta imagen responde a lo q me refiero a un codo generico, ¿como se hace el desarrollo plano? Yo no tengo ni p**a idea



Imagen publicada

#7 Usuario online   Jonno 

  • Jon Bombadil
  • PipPipPipPipPipPip
  • Buscar Temas
  • Grupo: Moderadores
  • Mensajes: 27176
  • Registrado: 26-May 01

Publicado 02 February 2008 - 07:21 PM

Es que eso no puedes hacerlo en plano.

Como mucho podrías hacer una aproximación, y además no tiene pinta de ser fácil.
Jon
---
"Más sabe el diablo por Google que por diablo". korochi.com
"Bienaventurados los pesimistas, porque ellos hacen backups". Geekccionario
"No buscamos en Google. Es Google el que nos busca a nosotros". Tesis tuiteadas #40. Nicholas Carr

#8 Usuario offline   ferreirolo 

  • Dende este lado da ría
  • PipPipPip
  • Buscar Temas
  • Grupo: Usuarios Activos
  • Mensajes: 2833
  • Registrado: 22-January 03

Publicado 03 February 2008 - 10:16 AM

Hola:

Ver Mensajekuek_2000, en Feb 2 2008, 03:17 PM, dijo:

Esta imagen responde a lo q me refiero a un codo generico, ¿como se hace el desarrollo plano? Yo no tengo ni p**a idea



Imagen publicada


Con Autocad, haz una búsqueda en Google por: desarrollo codo calderería Filetype:pdf y verás varios ejemplos como este.

Saludos.
Eu escribín en WordStar

#9 Usuario offline   estifMACuín 

  • Usuario Activo
  • PipPipPip
  • Buscar Temas
  • Grupo: Usuarios Activos
  • Mensajes: 1070
  • Registrado: 19-September 05

Publicado 03 February 2008 - 11:48 AM

Ver Mensajeferreirolo, en Feb 3 2008, 10:16 AM, dijo:

Con Autocad, haz una búsqueda en Google por: desarrollo codo calderería Filetype:pdf y verás varios ejemplos como este.
Saludos.


parece que kuek necesita el desarrollo de un codo de una sola pieza, no uno compuesto por una sucesión de troncos de cono o de cilindros.

Con matemáticas "normales" en la mano, no se puede. Si el codo lo materializas con chapa plegada (ondulada), el desarrollo es un rectángulo de lado mayor el eje del codo. Te puede quedar mejor ajustando la parte ondulada para que la cara externa te quede lisa (y pliegues sólo en la interna, o la del vértice). Vamos, lo que viene a ser la pajita de los refrescos.

un saludo.

#10 Usuario offline   kuek_2000 

  • Usuario
  • Pip
  • Buscar Temas
  • Grupo: Usuarios
  • Mensajes: 5
  • Registrado: 30-January 08

Publicado 03 February 2008 - 05:52 PM

Lo primero de todo gracias por vuestras respuestas me han resultado de gran ayuda. Entiendo que paera hacer el codo de una sola pieza hay q hacerlo desde algún programa especializado de calderería utilizando el AutoCad, con lo cual esa parte la tendre resuelta (tendré q decir en mi empresa q hay q comprar un programilla de despieces), pero solo me queda una duda, como podría hacer el codo si tubiera la posibildad de poder hacerlo en varios gajos, dos, tres o los q sean necesarios. Es q trata de una obra muy concreta donde no creo q tenga inconvenientes en fabricar este codo en varios gajos y me temo mucho q no me van a poder permitir comprar el programa de autocad.

Gracias por vuestro tiempo. Un saludo

#11 Usuario online   Jonno 

  • Jon Bombadil
  • PipPipPipPipPipPip
  • Buscar Temas
  • Grupo: Moderadores
  • Mensajes: 27176
  • Registrado: 26-May 01

Publicado 03 February 2008 - 07:50 PM

Como el tema se sale del campo de las artes gráficas lo paso al foro de 3D
Jon
---
"Más sabe el diablo por Google que por diablo". korochi.com
"Bienaventurados los pesimistas, porque ellos hacen backups". Geekccionario
"No buscamos en Google. Es Google el que nos busca a nosotros". Tesis tuiteadas #40. Nicholas Carr

#12 Usuario offline   diprolam 

  • Usuario
  • Pip
  • Buscar Temas
  • Grupo: Usuarios Recientes
  • Mensajes: 1
  • Registrado: 20-August 09

Publicado 20 August 2009 - 04:58 PM

Se tienen que hacer una serie de trazos en una superficie, por ejemplo lámina, para poder
realizar el desarrollo.

Esto se usa en el aire acondicionado para fabricar codos de lámina ó cuando forran las tuberías
de calor industrial, etc.

El resultado que vas a obtener va a ser un codo segmentado en gajos. No precisamente un
codo liso. Si aumentas el número de gajos aumentara la exactitud.

Si sabes utilizar Autolisp en Autocad esta rutina traza los desarrollos de forma automática.
Espero te sirva.



;; Nombre : codo.lsp
;; Descripcion : Programa para trazar el desarrollo de un codo en gajos
;;
;; Revisiones :
;; 2/Ago/95 Correccion de errores criticos.
;; 11/Oct/95 Se agrego trazo de gajo 1
;; 6/Mzo/96 Se agrego trazo de gajo 2

;;==============================================
;; Rutina para convertir grados a radianes
;;==============================================
(defun DTR(angulo) (* pi (/ angulo 180.0) ) )

;;==============================================
;; Programa principal
;;==============================================
(defun c:gajo()
(setvar "CMDECHO" 0)
(setvar "OSMODE" 0)

(if (= dn nil) (setq dn 0.0) )
(if (= subd nil) (setq subd 16.0) )
(setq di dn)
(setq dn (getreal (strcat "\nCual es el diametro ? < " (rtos di) " >") ) )

(if (= dn nil) (setq dn di) )

(while (= dn 0.0) (setq dn (getreal "\nDiametro del codo? ( 0 NO VALIDO ) " ) ) )

(if (or (= rc nil) (< rc (* 1.5 dn) ) ) (setq rc (* 1.5 dn) ) )

(setq rcan rc
rc (getreal (strcat "\nRadio del codo ? < " (rtos rc) " >") )
)

(if (= rc nil) (setq rc rcan) )

(while (< rc (/ dn 2.0) )
(setq rc (getreal "\nRadio del codo ? ( es VALIDO >= a el Radio ) " ) )
)

(if (or (= g nil) (= g 0) ) (setq g 4) )

(setq gan g
g (getint (strcat "\nNo. de gajos ? < " (itoa g) " >") )
)

(if (= ac nil) (setq ac 90.0) )

(setq aca ac)

(if (= g nil) (setq g gan) )

(while (< g 2.0)
(setq g (getint "\nNumero de Gajos ? ( mas de 1 es VALIDO ) " ) )
)

(setq ac (getreal (strcat "\nAngulo del codo ? < " (rtos ac) " >") ) )

(if (= ac nil) (setq ac aca) )

(while (or (< ac 10.0) (> ac 180.0) )
(setq ac (getreal "\nAngulo de codo ? ( 10 <= ang. VALIDO <= 180 ) " ) )
)

(setq pt1 (getpoint "\nPunto de Inicio ? ")
ag (/ ac g)
h1 (/ (* (- rc (/ dn 2.0) ) (sin (/ (DTR ag) 2.0) ) ) (cos (/ (DTR ag) 2.0) ) )
h2 (/ (* (+ rc (/ dn 2.0) ) (sin (/ (DTR ag) 2.0) ) ) (cos (/ (DTR ag) 2.0) ) )
h3 (/ (* pi dn) subd)
)

(setq pt2 (polar pt1 0.0 (- rc (/ dn 2.0) ) )
pt3 (polar pt1 0.0 (+ rc (/ dn 2.0) ) )
pt4 (polar pt2 (DTR 90.0) h1)
pt5 (polar pt3 (DTR 90.0) h2)
pt6 (polar pt1 0.0 rc)
pt7 (polar pt6 (DTR 270.0) dn)
av ag
cont 1
)

;;==============================================
;;Trazo de Elevacion
;;==============================================
(command "_line" pt4 pt2 ""
"_line" pt2 pt3 ""
"_line" pt3 pt5 ""
"_CIRCLE" pt7 (polar pt7 (DTR 90.0) (/ dn 2.0) )
)

(while (< cont g)
(command "_line" pt4 pt5 "")

(setq pt6 (polar pt1 (DTR av) (- rc (/ dn 2.0) ) )
pt7 (polar pt1 (DTR av) (+ rc (/ dn 2.0) ) )
)

(command "_line" pt4 (polar pt6 (DTR (+ 90.0 av) ) h1) ""
"_line" pt5 (polar pt7 (DTR (+ 90.0 av) ) h2) ""
)

(setq pt4 (polar pt6 (DTR (+ 90.0 av) ) h1)
pt5 (polar pt7 (DTR (+ 90.0 av) ) h2)
av (+ av ag)
cont (+ cont 1)
)
);;fin while

(command "_line" pt4 pt5 "")

(setq pt6 (polar pt1 (DTR ac) (- rc (/ dn 2.0) ) )
pt7 (polar pt1 (DTR ac) (+ rc (/ dn 2.0) ) )
)

(command "_line" pt4 pt6 pt7 pt5 "")

;;==============================================
;;Trazo plantilla 1/2 gajo
;;==============================================
(setq pt4 (polar pt1 0.0 (+ rc (* 1.5 dn) ) )
pt1a (polar pt1 0.0 (+ rc (* 1.5 dn) ) )
pt1b (polar pt1a (DTR 90.0) (* 3.0 h2) )
pt1c (polar pt1a (DTR 90.0) (* 6.0 h2) )
pt5 (polar pt4 (DTR 90.0) h1)
cont 1
)

(command "_line" pt4 pt5 "")

(while (<= cont subd)
(setq pt6 (polar pt4 0.0 h3)
hv (/ (* (- rc
(* (/ dn 2.0)
(cos (DTR (* cont (/ 360.0 subd) ) ) )
)
)
(sin (/ (DTR ag) 2.0) )
)
(cos (/ (DTR ag) 2.0) )
)
pt7 (polar pt6 (DTR 90.0) hv)
)

(command "_line" pt4 pt6 pt7 pt5 "")

(setq pt4 pt6
pt5 pt7
cont (+ cont 1)
)
);;fin while

;;==============================================
;;Trazo plantilla gajo 1
;;==============================================
(setq pt4 (polar pt1b (DTR 270.0) h2)
pt5 (polar pt1b (DTR 90.0) h2)
cont 1
)

(command "_line" pt4 pt5 "")

(while (<= cont subd)
(setq pt1b (polar pt1b 0.0 h3)
hv (/ (* (+ rc
(* (/ dn 2.0)
(cos (DTR (* cont (/ 360.0 subd) ) ) )
)
)
(sin (/ (DTR ag) 2.0) )
)
(cos (/ (DTR ag) 2.0) )
)
pt7 (polar pt1b (DTR 90.0) hv)
pt6 (polar pt1b (DTR 270.0) hv)
)

(command "_line" pt4 pt6 pt7 pt5 "")

(setq pt4 pt6
pt5 pt7
cont (+ cont 1)
)
);;fin while

;;==============================================
;;Trazo plantilla gajo 2
;;==============================================
(setq pt4 (polar pt1c (DTR 270.0) h1)
pt5 (polar pt1c (DTR 90.0) h1)
cont 1
)

(command "_line" pt4 pt5 "")

(while (<= cont subd)
(setq pt1c (polar pt1c 0.0 h3)
hv (/ (* (- rc
(* (/ dn 2.0)
(cos (DTR (* cont (/ 360.0 subd) ) ) )
)
)
(sin (/ (DTR ag) 2.0) )
)
(cos (/ (DTR ag) 2.0) )
)
pt7 (polar pt1c (DTR 90.0) hv)
pt6 (polar pt1c (DTR 270.0) hv)
)

(command "_line" pt4 pt6 pt7 pt5 "")

(setq pt4 pt6
pt5 pt7
cont (+ cont 1)
)
);;fin while
)

Compartir este tema:


Página 1 de 1
  • No puedes empezar un nuevo tema
  • No puedes responder a este tema